pskc_parse_from_memory(3)

NAME
pskc_parse_from_memory - API function

SYNOPSIS
#include <pskc.h>

int pskc_parse_from_memory(pskc_t * container, size_t len, const char * buffer);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

size_t len
    length of buffer.

const char * buffer
    XML data to parse.

DESCRIPTION
This function will parse the XML data in buffer of len size into container. If PSKC_PARSE_ERROR is returned, parsing of some elements have failed but the container is still valid and contain partially parsed information. In this situation, you may continue but raise a warning.

RETURNS
On success, PSKC_OK (zero) is returned, on memory allocation errors PSKC_MALLOC_ERROR is returned, on XML library errors PSKC_XML_ERROR is returned, on PSKC parse errors PSKC_PARSE_ERROR is returned.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.